Newsletter

PayPal

Live Edit Patch Maximize

Live Edit Patch

This module fix a minor security leak of live edit mode of Prestashop.

More details

Online only

78,90 €

Summary of the security leak :

Live Edit mode of Prestashop is avalable to lambda users of Prestashop, from 1.4 to 1.6 version. This result in a public broadcast of those private URLs, enabling them for crawler indexation, while they reveal the secured backend URL.

By installing this module the security leak is fixed  :

  • only authorized IP can have access to the live edit mode.
  • Already public URLs linking to a page showing the live_edit mode are redirected with a permanent redirect signal to your website without the live edit mode on.

 

 Think about renaming your administration folder.

You can read more about this security leak here in french

  • Compatibility Prestashop v1.3 - Prestashop v1.4 - Prestashop v1.5 - Prestashop v1.6


Ask us a question to learn more about this product

Send a message